<?php get_header(); ?>

	<?php if (have_posts()) : ?>
	
		<?php $post = $posts[0]; ?>
		
		<?php if (is_category()) { ?>
			<div class="post">
				<div class="post_title">
					<h1><?php _e('You are viewing the archive for the'); ?> &lsquo;<?php echo single_cat_title(); ?>&rsquo; <?php _e('category.'); ?></h1>
				</div>
			</div> <!-- end of post -->
		<?php } elseif (is_tag()) { ?>
			<div class="post">
				<div class="post_title">
					<h1><?php _e('You are viewing the archive for the'); ?> &lsquo;<?php echo single_cat_title(); ?>&rsquo; <?php _e('tag.'); ?></h1>
				</div>
			</div> <!-- end of tags -->
 	  	<?php } elseif (is_day()) { ?>
			<div class="post">
				<div class="post_title">
					<h1><?php _e('Archive for'); ?> <?php the_time('j F Y'); ?></h1>
				</div>
			</div> <!-- end of post -->
	 	<?php } elseif (is_month()) { ?>
			<div class="post">
				<div class="post_title">
					<h1><?php _e('Archive for'); ?> <?php the_time('F, Y'); ?></h1>
				</div>
			</div> <!-- end of post -->
		<?php } elseif (is_year()) { ?>
			<div class="post">
				<div class="post_title">
					<h1><?php _e('Archive for'); ?> <?php the_time('Y'); ?></h1>
				</div>
			</div> <!-- end of post -->
		<?php } elseif (is_author()) { ?>
			<div class="post">
				<div class="post_title">
					<h1><?php _e('Author Archive'); ?></h1>
				</div>
			</div> <!-- end of post -->
		<?php } elseif (is_search()) { ?>
			<div class="post">
				<div class="post_title">
					<h1><?php _e('Search Results'); ?></h1>
				</div>
			</div> <!-- end of post -->
		<?php } ?>
				
		<?php while (have_posts()) : the_post(); ?>

			<div class="post">
				<div class="post_block">
					<h1 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link:'); ?> &quot;<?php the_title(); ?>&quot;"><?php the_title(); ?></a></h1>
					<div class="comentarii">
						<?php if ( comments_open() ) : ?>
							<a href="<?php comments_link(); ?>" title="<?php comments_number('No Comments', '1 Comment', '% Comments'); ?>"><?php comments_number('0', '1', '%'); ?></a>
						<?php endif; ?> 
					</div>
					<div class="data">
						<?php the_time('F j, Y') ?>
					</div>
				</div>

				<div class="post_continut">
						<?php if (is_search()) { ?>
							<?php the_excerpt() ?>
							<?php } else { ?>
							<?php the_content(__('&#124; Read more &raquo;')); ?>
						<?php } ?>
						<hr />
						Posted in: <?php the_category(' - ') ?> &#124; <?php the_tags('Tags: ',', '); ?> <?php edit_post_link(__('Edit'), ' &#124; ', ''); ?>
				</div>
			</div> <!-- end of post -->
		<?php endwhile; ?>

		</div> <!-- end of content -->

		<div class="pagenavi">
			<?php if(function_exists('wp_pagenavi')) : ?>
				<?php wp_pagenavi() ?>
			<?php else : ?>
			<div class="navigator">
				<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
				<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
			</div>
			<?php endif; ?>
			<div class="fixed"></div>
		</div>
	
	<?php else : ?>
			<div class="post">
				<div class="post_block">
					<h1><a href="<?php echo get_settings('home'); ?>/" rel="bookmark" title="<?php bloginfo('name'); ?>"><?php _e('&#171; Not Found'); ?></a></h1>
				</div>

				<div class="post_continut">
					<p><?php _e('Sorry, but you are looking for something that isn&rsquo;t here.'); ?></p>
		 
					<h3><?php _e('Please try searching again.'); ?></h3>
		
					<?php include (TEMPLATEPATH . '/searchform.php'); ?>
				</div>
			</div> <!-- end of post -->
		</div> <!-- end of content -->
	<?php endif; ?>

<?php get_footer(); ?>