<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

	<title><?php bloginfo('name'); ?><?php wp_title(); ?></title>

	<style type="text/css" media="screen">
		@import url( <?php bloginfo('stylesheet_url'); ?> );
	</style>

	<link rel="shortcut icon" type="image/ico" href="<?php bloginfo('stylesheet_directory'); ?>/images/favicon.gif" />
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/js/prototype.lite.js"></script>
	<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/js/moo.fx.js"></script>
	<script type="text/javascript">
	    var opened=false;
	    window.onload = function() {
	        resizeDivHeight = new fx.Height('navigation',{duration:2000});
	    };
	    function toggelopen(){
	        if(opened==false){
	            resizeDivHeight.custom(0,400);//First Number is starting height, Second is ending height.
        	    opened=true;
	        }else{
        	    resizeDivHeight.custom(400,0);//First Number is starting height, Second is ending height.
	            opened=false;
        	}    
	    }
	</script>

	<?php wp_get_archives('type=monthly&format=link'); ?>

	<?php wp_head(); ?>
</head>

<body>
	<?php get_sidebar(); ?>
	<div id="js">
		<a id="toggle" href="#" onclick="toggelopen()" title="Forget about Sidebar" >TopBar</a>
	</div>

	<div id="header">
		<h1 id="title"><a href="<?php bloginfo('url'); ?>/"><?php bloginfo('name'); ?></a></h1>
		<div id="tagline">| <?php bloginfo('description'); ?></div>
	</div>
	<div id="wrapper">
		<div id="content">