<?php get_header(); ?>

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
		
	
			<div class="post">
				<div class="post_block">
					<h1 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link:'); ?> &quot;<?php the_title(); ?>&quot;"><?php the_title(); ?></a></h1>
					<div class="comentarii">
						<?php if ( comments_open() ) : ?>
							<a href="<?php comments_link(); ?>" title="<?php comments_number('No Comments', '1 Comment', '% Comments'); ?>"><?php comments_number('0', '1', '%'); ?></a>
						<?php endif; ?> 
					</div>
					<div class="data">
						<?php the_time('F j, Y') ?>
					</div>
				</div>

				<div class="post_continut">
						<?php if (is_search()) { ?>
							<?php the_excerpt() ?>
							<?php } else { ?>
							<?php the_content(__('&#124; Read more &raquo;')); ?>
						<?php } ?>
						<hr />
						Posted in: <?php the_category(' - ') ?> &#124; <?php the_tags('Tags: ',', '); ?> <?php edit_post_link(__('Edit'), ' &#124; ', ''); ?>
				</div>
			</div> <!-- end of post -->
		
		<?php comments_template(); ?>
		</div> <!-- end of content -->
				
	<?php endwhile; else : ?>
			<div class="post">
				<div class="post_block">
					<h1><a href="<?php echo get_settings('home'); ?>/" rel="bookmark" title="<?php bloginfo('name'); ?>"><?php _e('&#171; Not Found'); ?></a></h1>
				</div>

				<div class="post_continut">
					<p><?php _e('Sorry, but you are looking for something that isn&rsquo;t here.'); ?></p>
		 
					<h3><?php _e('Please try searching again.'); ?></h3>
		
					<?php include (TEMPLATEPATH . '/searchform.php'); ?>
				</div>
			</div> <!-- end of post -->
		</div> <!-- end of content -->
	<?php endif; ?>

<?php get_footer(); ?>


